Bug 125707 - Unclean shutdown in FC2
Unclean shutdown in FC2
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-10 09:57 EDT by Eric Herman
Modified: 2015-01-04 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 00:47:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Herman 2004-06-10 09:57:03 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8a2)
Gecko/20040602 Firefox/0.8

Description of problem:
I have FC2 on a P4 workstation AND a PIII laptop. BOTH versions do
this.... intermittantly but better than 50% of the time.

When shutting down, the machine shifts to run level 0 and begins to
stop various processes. It gets almost all the way to the end and then
the machine scrolls a couple of messages so fast that I can't read
them. the computer does not shut down but will scroll these messages
indefinately.  When starting up again, I get the message that the
computer has been shutdown uncleanly and needs to go through it's checks.

I checked /var/log/messages and find no indication of this error. I'm
assuming that it is at the kernel because it is very near the end of
the shutdown process and most everything should be stopped.

I would be happy to post (attach) my log files if you think it would
help. If you know of another set of log files I should check, please
let me know and I will post (attach) that too.

I mostly use the computer as an e-mail (evolution 1.4) terminal. I
also use Firefox, terminal, ssh, and a few other apps. Hoever, the
program selection is rather limited. I don't really "tweak" either
machine and both are fresh FC2 installs from a formatted drive. This
has been happening from the initial installation.

It also seems to appear if the machine has been running awhile. I have
never seen it during a quick startup and shutdown.

Version-Release number of selected component (if applicable):
2.6.5-1.358

How reproducible:
Sometimes

Steps to Reproduce:
1. operate the computer for a few hours+ (KDE)
2. logout then shutdown (KDE)
3. watch the interactive shutdown to nearly the end. Chances are
better than 50/50.
    

Actual Results:  Machine displays messages scrolling so fast I can't
read it. Computer does not finish shutting down.

Expected Results:  Computer should shutdown and power off cleanly

Additional info:

I'll try to stare at the rapidly scrolling messages to see if I can
get some of it's output.
Comment 1 Eric Herman 2004-06-10 21:24:38 EDT
Jun 10 20:47:58 pig xinetd: xinetd shutdown succeeded
Jun 10 20:47:58 pig acpid: acpid shutdown succeeded
Jun 10 20:47:58 pig crond: crond shutdown succeeded
Jun 10 20:47:58 pig ntpd:  succeeded
Jun 10 20:47:58 pig ntpd:  succeeded
Jun 10 20:47:58 pig ntpd[2420]: ntpd exiting on signal 15
Jun 10 20:47:59 pig ntpd: ntpd shutdown succeeded
Jun 10 20:47:59 pig netfs: Unmounting NFS filesystems:  succeeded
Jun 10 20:48:01 pig dd: 1+0 records in
Jun 10 20:48:01 pig dd: 1+0 records out
Jun 10 20:48:01 pig random: Saving random seed:  succeeded
Jun 10 20:48:01 pig rpc.statd[2041]: Caught signal 15, un-registering
and exitin
g.
Jun 10 20:48:01 pig nfslock: rpc.statd shutdown succeeded
Jun 10 20:48:01 pig portmap: portmap shutdown succeeded
Jun 10 20:48:01 pig kernel: Kernel logging (proc) stopped.
Jun 10 20:48:01 pig kernel: Kernel log daemon terminating.
Jun 10 20:48:02 pig syslog: klogd shutdown succeeded
Jun 10 20:48:02 pig exiting on signal 15

***************
This was the last of my /var/log/messages before it did it. Here is
the tail end of a successful shutdown:


Jun 10 21:02:32 pig xinetd: xinetd shutdown succeeded
Jun 10 21:02:33 pig acpid: acpid shutdown succeeded
Jun 10 21:02:33 pig crond: crond shutdown succeeded
Jun 10 21:02:33 pig ntpd:  succeeded
Jun 10 21:02:33 pig ntpd:  succeeded
Jun 10 21:02:33 pig ntpd[2422]: ntpd exiting on signal 15
Jun 10 21:02:33 pig ntpd: ntpd shutdown succeeded
Jun 10 21:02:33 pig netfs: Unmounting NFS filesystems:  succeeded
Jun 10 21:02:35 pig dd: 1+0 records in
Jun 10 21:02:35 pig dd: 1+0 records out
Jun 10 21:02:35 pig random: Saving random seed:  succeeded
Jun 10 21:02:35 pig rpc.statd[2043]: Caught signal 15, un-registering
and exitin
g.
Jun 10 21:02:35 pig nfslock: rpc.statd shutdown succeeded
Jun 10 21:02:35 pig portmap: portmap shutdown succeeded
Jun 10 21:02:35 pig kernel: Kernel logging (proc) stopped.
Jun 10 21:02:35 pig kernel: Kernel log daemon terminating.
Jun 10 21:02:37 pig syslog: klogd shutdown succeeded
Jun 10 21:02:37 pig exiting on signal 15

**************************
On the interactive shutdown sequence, I get past "Halting system".

When scrolling (and not shutting down) I get:

[<021c5af9>] The 021 changes to 022 and the rest changes rapidly
between several other digits. Then there are multiple lines of text
that overlap each other which make it unreadable. On the tail end of
the errors I see "x128", "/0x2a5", "[nfs]", "/0x52". I know this isn't
much to work with, but any help is greatly appreciated.
Comment 2 Eric Herman 2004-06-10 21:26:04 EDT
If you want the full log files, just ask and I will attach them.
Comment 3 Dave Jones 2005-04-16 00:47:45 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.